> ## Documentation Index
> Fetch the complete documentation index at: https://docs.autonoma.app/llms.txt
> Use this file to discover all available pages before exploring further.

# List Tests API

> Retrieve a list of all tests available in your Autonoma account.



## OpenAPI

````yaml get /test
openapi: 3.0.3
info:
  title: Autonoma API
  description: |
    API for managing test runs and test definitions in the Autonoma platform.

    **Important Note:** Media URLs (images, videos) expire after 1 hour.
  version: 1.0.0
  contact:
    name: Autonoma Support
servers:
  - url: https://autonoma.app/api
    description: Production server
security:
  - ApiKeyAuth: []
paths:
  /test:
    get:
      summary: List tests
      description: Retrieve a list of test definitions with optional pagination
      parameters:
        - name: limit
          in: query
          description: Maximum number of tests to return
          required: false
          schema:
            type: integer
            minimum: 1
            maximum: 100
            example: 20
        - name: offset
          in: query
          description: Number of tests to skip for pagination
          required: false
          schema:
            type: integer
            minimum: 0
            example: 0
        - name: steps
          in: query
          description: Include step details in response
          required: false
          schema:
            type: boolean
            example: true
        - name: folder
          in: query
          description: Retrieve tests by folder id
          required: false
          schema:
            type: string
            example: true
      responses:
        '200':
          description: List of tests
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Test'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InvalidCredentialsError'
      security:
        - ApiKeyAuth: []
          ApiSecretAuth: []
components:
  schemas:
    Test:
      type: object
      properties:
        id:
          type: string
          example: cmbsgljfr00fd060153r9x8ek
        name:
          type: string
          example: New Test 2025-06-11T21:25:47.442Z
        created_at:
          type: string
          format: date-time
          example: '2025-06-11T21:25:47.559Z'
        folder:
          $ref: '#/components/schemas/TestFolder'
          nullable: true
        application_version:
          $ref: '#/components/schemas/ApplicationVersion'
        steps:
          type: array
          items:
            $ref: '#/components/schemas/Step'
    InvalidCredentialsError:
      type: object
      properties:
        error:
          type: string
          example: Unauthorized
        message:
          type: string
          example: Invalid authentication credentials
    TestFolder:
      type: object
      properties:
        id:
          type: string
          example: cm7t223mk00154mzy2jwk2pqy
        name:
          type: string
          example: private-listing-hub
    ApplicationVersion:
      type: object
      properties:
        name:
          type: string
          example: STG
        path:
          type: string
          example: https://autonoma.app
        customID:
          type: string
          nullable: true
          description: >-
            Custom identifier for the version (e.g., "build-123",
            "release-v2.0")
          example: build-123
    Step:
      type: object
      properties:
        id:
          type: string
          example: cmbs5deso0001ps016az80n89
        instruction:
          type: string
          example: insert {{variable:QA_ADMIN_USER}} into log in input
        interaction:
          type: string
          example: input-text
        output:
          type: string
          example: input-text on element with text axel@autonoma.app
        status:
          type: string
          enum:
            - passed
            - failed
            - pending
          example: passed
        url:
          type: string
          example: https://login.autonoma.app/login
        element:
          $ref: '#/components/schemas/Element'
        image:
          type: string
          description: Screenshot URL (expires in 1 hour)
          example: >-
            https://storage.googleapis.com/autonoma-media/screenshots/d8e41de595af.jpeg
    Element:
      type: object
      properties:
        html:
          type: string
          example: >-
            <input class="input c2053dbb5 c10f8401f" inputmode="email"
            name="username" id="username" type="text" value="" required=""
            autocomplete="email" autocapitalize="none" spellcheck="false"
            autofocus=""
        selector:
          type: string
          example: input#username
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: autonoma-client-id
      description: Client ID for authentication
    ApiSecretAuth:
      type: apiKey
      in: header
      name: autonoma-client-secret
      description: Client secret for authentication

````